import { Component, OnInit, ViewChild } from '@angular/core';
import { Observable, of } from 'rxjs';
import { GridComponent, SearchSettingsModel, ToolbarItems } from '@syncfusion/ej2-angular-grids';
import { ClickEventArgs } from '@syncfusion/ej2-navigations';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  @ViewChild('grid', { static: false }) public tabel: GridComponent;

  table$: Observable<any[]>;

  public toolbarOptions: ToolbarItems[];
  public searchSettings: SearchSettingsModel;

  pageSettings = {
    pageSize: 10
  };

  constructor() {
  }

  ngOnInit() {
    this.toolbarOptions = ['Search', 'PdfExport', 'ExcelExport', 'Print'];
    this.searchSettings = { fields: ['test'] };
    this.table$ = of([]);
  }

  exportAsPdf(args: ClickEventArgs): void {
    if (args.item.id === 'test_pdfexport') {
      this.tabel.pdfExport();
    }
    if (args.item.id === 'test_excelexport') {
      this.tabel.excelExport();
    }
  }
}
